Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7963 - Xconfigurator fails to set keymap
Summary: Xconfigurator fails to set keymap
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: Xconfigurator
Version: 6.1
Hardware: i386
OS: Linux
high
high
Target Milestone: ---
Assignee: Matt Wilson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-12-23 10:26 UTC by Richard Allen
Modified: 2008-05-01 15:37 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-01-18 13:09:43 UTC


Attachments (Terms of Use)

Description Richard Allen 1999-12-23 10:26:04 UTC
After installing a RedHat 6.1 (I've only tested this on i386) the
keymap in X is incorrectly set.  During Installation I select the
is-latin1 keymap (I have to use the text mode installer because that
keymap is missing from anaconda (reported in another bug report))

After Installation the keymap in X is still the US keymap.  the problem
in /etc/X11/XF86Config is that the following two lines appear:

   XkbSymbols      "us(pc101)"
   XkbLayout       "is"

when they shoyuld be:

   XkbSymbols      "is(pc101)"
   XkbLayout       "is"

This is generating lots of questions from novice users, and this was not
a problem in Earlier releases of RedHat linux.

Comment 1 Riley H Williams 1999-12-23 20:48:59 UTC
This is not limited to the is keymap, but also occurs with the uk keymap, and I
would suspect with all other non-US ones.

Comment 2 Pekka Savola 2000-01-17 09:45:59 UTC
<WAKEY WAKEY - Please do something about this>

This also happens with fi-latin1 keyboards.  Therefore we can be pretty sure
non-US is the key.

Comment 3 Riley H Williams 2000-01-18 13:09:59 UTC
The obvious assumption is that whilst the installation script asks what keymap
is used, and uses that internally, one of the following is true:

 1. The installation script does not install the selected setting on the
    target system.

 2. Although the installation script installs the selected setting on the
    target system, it gets overwritten with the US setting later in the
    installation.

Either way, it definately needs fixing...

Comment 4 Trond Eivind Glomsrxd 2000-07-11 18:17:32 UTC
This was fixed for Red Hat Linux 6.2 (Icelandic possibly excepted, which should
be fixed in our trees now)


Note You need to log in before you can comment on or make changes to this bug.